/************************************************************************
*                                                                                                                                        
*    Test du module Pmod afficheur LCD interface parallèle                                           
*                                                                    
*************************************************************************
* Description:  Pmod_CLP                                               
* Le message "Test module Pmod Digilent partenaire de Lextronic" est affiché 
* sur l'afficheur.
*  
* Matériel
*        1. Arduino Uno                                       
*        2. Module Pmod CLP
*        
************************************************************************/
// Affectation des broches
#define en 7
#define rs 6
#define d7 5
#define d6 4
#define d5 3
#define d4 2

#include <LiquidCrystal.h>                                 // appel de la bibliothèque LiquidCrystal
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);          // création de l'objet lcd

void setup() 
{ 
  lcd.begin(16,2);                                                   // initialisation de l'objet lcd
}

void loop() 
{
  lcd.clear();                                                           // effacement de l’écran
  lcd.print("Test module Pmod");
  lcd.setCursor(4,1);                                             // placement du curseur 2nde ligne 5ème colonne
  lcd.print("Digilent");
  delay(3000);
  lcd.clear();
  lcd.setCursor(1,0);                                              // placement du curseur 1ère ligne 2nde colonne
  lcd.print("partenaire de");
  lcd.setCursor(3,1);                                              // placement du curseur 2nde ligne 4ème colonne
  lcd.print("Lextronic");
  delay(3000);
}  

